<?php
session_start();
?>
<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ru">
<head>
    <meta http-equiv="Content-Type" content="application/vnd.wap.xhtml+xml; charset=UTF-8"/>
    <link rel="shortcut icon" href="/status/style/favicon.ico" type="image/x-icon"/>
    <link rel="stylesheet" href="/status/style/style.css" type="text/css"/>
    <title>Статусы ICQ / ICQ.com</title>
</head>
<body>
<div class="gr"></div>
<div class="head"><div class="back"><span>лучшие загрузки</span><br />ICQ.com</div></div>
<div class="tb">
	Добро пожаловать!
</div>

<?php

require_once 'etc/config.inc.php';
require_once 'etc/Mybase.class.php';
$mysqli = new Mybase(MYSQL_HOST, MYSQL_USER, MYSQL_PASSWORD, MYSQL_DB);
require_once 'etc/Paging.class.php';
$paging = new Paging($mysqli);
$paging->set_link_padding(5);
$paging->set_page_size(20);
$mysqli->query('SET NAMES `utf8`');

if(isset($_REQUEST['password'])){
	$_SESSION['password'] = $_REQUEST['password'];
}
if(@$_SESSION['password'] != PASSWORD){
	echo '<div class="gt">Авторизация:</div>
			<div class="cont">
				<form action="admin.php" method="post">
				<b>Пароль:</b><br/><input type="text" name="password"><br/>
				<input type="submit" value="Войти">
			</div>
			<div class="tb"><a href="/">Главная</a> / <a href="/status/">Статусы</a> / Панель управления</div>';
	exit;
}

if(empty($_GET['mod'])){
	echo '<div class="gt">Панель управления:</div>
		<div class="cont">
			&gt; <a href="./admin_status_new/">Обновить базу статусов</a><br/>
			&gt; <a href="./admin_status_moder/">На модерации ('.$mysqli->query('SELECT `id` FROM `icq_status_moder`')->num_rows.')<br/>
		</div>
		<div class="tb"><a href="/">Главная</a> / <a href="/status/">Статусы</a> / Панель управления</div>';
} elseif(isset($_GET['mod']) && $_GET['mod'] == 'new'){
	ini_set('max_execution_time', 99999999);
	$status_count = 0;
	$cycle_end = false;
	for($i = 1; $i <= 100 && $cycle_end != true; $i++){
		$content = file_get_contents('http://besticq.ru/status/?status=1&p='.$i.'&sort=0');
		$content = str_replace(array("\r", "\n"), '', $content);
		preg_match_all('#<tr><td class=s>(.*?)</tr>#', $content, $status);
		foreach($status[1] as $key => $value){
			preg_match('#/img/([0-9]*)\.gif#', $value, $category_id);
			preg_match('#gif">(.*?)</td>#', $value, $status_text);
			preg_match('#"num([0-9]*)">([-]*[0-9]*)</span>#', $value, $rating);
			$status_text['1'] = $mysqli->real_escape_string($status_text['1']);
			$category_id['1'] = intval($category_id['1']);
			if($mysqli->query('SELECT `id` FROM `icq_status` WHERE `status` = "'.$status_text['1'].'"')->num_rows){
				$cycle_end = true;
			} else {
				$mysqli->query('INSERT INTO `icq_status`(`category_id`,`status`,`rating`) VALUES('.$category_id['1'].', "'.$status_text['1'].'", '.$rating['2'].')');
				$status_count++;
			}
		}
	}
	$query_categories = $mysqli->query('SELECT * FROM `icq_status_category`');
	while($category = $query_categories->fetch_array()){
		$number = $mysqli->query('SELECT `id` FROM `icq_status` WHERE `category_id` = ' . $category['id'])->num_rows;
		$mysqli->query('UPDATE `icq_status_category` SET `number` = ' . $number . ' WHERE `id` = ' . $category['id']);
	}
	echo '<div class="gt">Обновление базы статусов:</div>
		<div class="cont">
			База статусов обновлена.<br/>
			Статусов добавлено: <b>' . $status_count . '</b>
		</div>
		<div class="tb"><a href="/">Главная</a> / <a href="/status/">Статусы</a> / <a href="/status/admin.php">Панель управления</a> / Обновление базы</div>';
} elseif(isset($_GET['mod']) && $_GET['mod'] == 'moder' && empty($_POST['id'])){
	echo '<div class="gt">Статусы на модерации:</div>
		<div class="cont">
		<form action="." method="post">';
			
	$query_statuses = $mysqli->query('SELECT * FROM `icq_status_moder` ORDER BY `id` DESC');
	if($query_statuses->num_rows){
		while($status = $query_statuses->fetch_array()){
			echo '<input type="checkbox" name="id[]" value="'.$status['id'].'"> 
				<b>['.$mysqli->result('SELECT `name` FROM `icq_status_category` WHERE `id` = ' . $status['category_id']).']</b> ' . $status['status'] . '<hr/>';
		}
		echo '<input type="submit" value="Добавить" />';
	} else {
		echo 'Никто ещё не добавлял статусы.';
	}
	echo '</form>
	</div>
	<div class="tb"><a href="/">Главная</a> / <a href="/status/">Статусы</a> / <a href="/status/admin.php">Панель управления</a> / Статусы на модерации</div>';
} elseif(isset($_GET['mod']) && $_GET['mod'] == 'moder' && isset($_POST['id'])){
	$count = 0;
	foreach($_POST['id'] as $key => $value){
		$status = $mysqli->query('SELECT * FROM `icq_status_moder` WHERE `id` = ' . $value . ' LIMIT 1')->fetch_array();
		$mysqli->query('INSERT INTO `icq_status`(`category_id`,`status`) VALUES('.$status['category_id'].', "'.$status['status'].'")');
		$count++;
	}
	$mysqli->query('TRUNCATE TABLE `icq_status_moder`');
	echo '<div class="gt">Статусы на модерации:</div>
		<div class="cont">
			Добавлено статусов: '.$count. '
		</div>
	<div class="tb"><a href="/">Главная</a> / <a href="/status/">Статусы</a> / <a href="/status/admin.php">Панель управления</a> / Статусы на модерации</div>';
}
?>


<div class="gt">
    &copy; HiJecker
</div>
</body>
</html>